Bug 1003208

Summary: anaconda needs bcache support
Product: [Fedora] Fedora Reporter: Rolf Fokkens <rolf>
Component: anacondaAssignee: Anaconda Maintenance Team <anaconda-maint-list>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: anaconda-maint-list, g.kaviyarasu, igor.raits, jkonecny, jonathan, micah.roth, mkolman, myroslav, rdieter, sbueno, vanmeeuwen+fedora
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1019442    
Bug Blocks: 998543, 1008227, 1008228    

Description Rolf Fokkens 2013-08-31 20:24:16 UTC
Description of problem:

Bug 998543 is related to a change wich implements SSD caching. As such Bug 998543 is a SelfContained change for F20, but for F21 the Change is intended to be SystemWide. This implies among others anaconda support for bcache.

This Bug is a starting point for the steps to be taken.

Comment 1 Rolf Fokkens 2013-09-01 09:41:13 UTC
Started discussion on devel@:
https://lists.fedoraproject.org/pipermail/devel/2013-September/188625.html

Comment 2 Igor Gnatenko 2013-09-01 11:20:23 UTC
After add support we also should add rootdelay=3 to kernel string if we use bcache on rootfs.

Comment 3 David Lehman 2013-10-14 19:31:54 UTC
Please open an RFE to add bcache support to python-blivet. This bug will be blocked by that one.

Comment 4 Rex Dieter 2014-01-28 14:51:29 UTC
rebasing (missed f20 target)

Comment 5 Rolf Fokkens 2015-01-04 14:15:10 UTC
Given the fact that serious changes on bcache are planned, I think this change should be postponed until further notice:

http://www.spinics.net/lists/linux-bcache/msg02721.html

Comment 7 Micah Roth 2018-11-09 01:23:20 UTC
it appears the serious breaking changes discussed in those threads have all been migrated to a new project called bcachefs; Kent seems to regard bcache as it is as stable. https://bcache.evilpiepirate.org/ 

my read is bcachefs is a superset of bcache that includes a whole bunch of other stuff, but bcache will continue to be improved because it addresses a more specific need. 

my brief experiences with bcache have been very positive and i'd love to see it in the installer. can i help?

Comment 8 Jiri Konecny 2018-11-09 13:56:38 UTC
Hello Micah, right now we are still blocked by the bug 1019442 . Without that implemented we can't support it in Anaconda.